//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <StdActns.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TPanel *Panel1;
   TToolBar *ToolBar1;
   TToolButton *ToolButtonNew;
   TToolButton *ToolButton2;
   TToolButton *ToolButtonOpen;
   TToolButton *ToolButton4;
   TToolButton *TooButtonSave;
   TToolButton *ToolButton1;
   TToolButton *ToolButtonPairs;
   TToolButton *ToolButton3;
   TStatusBar *StatusBar1;
   TStringGrid *Grid;
   TActionList *ActionList;
   TWindowClose *WindowClose1;
   TAction *New;
   TAction *Save;
   TAction *Load;
   TAction *GeneratePairs;
   TMainMenu *MainMenu1;
   TMenuItem *File1;
   TMenuItem *New1;
   TMenuItem *N1;
   TMenuItem *Save1;
   TMenuItem *SaveAs1;
   TMenuItem *N2;
   TMenuItem *Load1;
   TMenuItem *N3;
   TMenuItem *Exit1;
   TMenuItem *Data1;
   TMenuItem *Generatepairs1;
   TImageList *ToolBarImageList;
   TImageList *HotImageList1;
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall NewExecute(TObject *Sender);
   void __fastcall SaveExecute(TObject *Sender);
   void __fastcall GridSetEditText(TObject *Sender, int ACol, int ARow,
          const AnsiString Value);
   void __fastcall GridKeyPress(TObject *Sender, char &Key);
   void __fastcall LoadExecute(TObject *Sender);
   void __fastcall GridSelectCell(TObject *Sender, int ACol, int ARow,
          bool &CanSelect);
   void __fastcall GeneratePairsExecute(TObject *Sender);
   void __fastcall WindowClose1Execute(TObject *Sender);

private:	// User declarations
   void WriteRowColumnHeaders(void);
   bool  bChanged;         // for flagging keypresses in the grid.
   int   iLastRow,iLastCol;   // to store last row/col that contains data
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
