//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "StringUtil.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

/*---------------------------------------------------------------------------
	FUNCTION:	RightStr(String string,int count)

Purpose:		Returns the rightmost x chars of passed string
Sample Call:    String strM = RightStr("Martin is a goof",4);
				Returns 'goof'
//--------------------------------------------------------------------------*/
AnsiString RightStr(AnsiString theString,int count)
{

	count -= 1;

	//	ParamStr(2).SubString(ParamStr(2).Length()-1,ParamStr(2).Length() );
	return (theString.SubString(theString.Length()-count,theString.Length() ) );

}

/*---------------------------------------------------------------------------
	FUNCTION:	LeftStr(String string,int count)

Purpose:		Returns the leftmost x chars of passed string
Sample Call:    String strM = LeftStr("Martin is a goof",6);
				Returns 'Martin'
//--------------------------------------------------------------------------*/
AnsiString LeftStr(AnsiString theString,int count)
{
	return (theString.SubString(1,count) );

}